Skip to content

updateItemMethodAndSourcing

WRITE

Updates item-level method/sourcing columns and mirrors the change down to every methodMaterial that references the item — in a single transaction, so the item….

POST /api/v1/items/updateItemMethodAndSourcing
curl -X POST '<your-host>/api/v1/items/updateItemMethodAndSourcing' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "itemIds": [],
    "itemUpdate": {},
    "cascade": {}
  }'

Parameters

ParameterType
"Purchase to Order""Pull from Inventory""Make to Order"
"Specified""Drop Ship""Ship from Inventory"
"Purchase to Order""Pull from Inventory""Make to Order"
"Buy""Make""Buy and Make"
"Specified""Drop Ship""Ship from Inventory"

Input schema

schema
{
  "type": "object",
  "properties": {
    "itemIds": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "itemUpdate": {
      "type": "object",
      "properties": {
        "replenishmentSystem": {
          "type": "string",
          "enum": [
            "Buy",
            "Make",
            "Buy and Make"
          ]
        },
        "defaultMethodType": {
          "type": "string",
          "enum": [
            "Purchase to Order",
            "Pull from Inventory",
            "Make to Order"
          ]
        },
        "sourcingType": {
          "type": "string",
          "enum": [
            "Specified",
            "Drop Ship",
            "Ship from Inventory"
          ]
        }
      }
    },
    "cascade": {
      "type": "object",
      "properties": {
        "sourcingType": {
          "type": "string",
          "enum": [
            "Specified",
            "Drop Ship",
            "Ship from Inventory"
          ]
        },
        "methodType": {
          "type": "string",
          "enum": [
            "Purchase to Order",
            "Pull from Inventory",
            "Make to Order"
          ]
        }
      }
    }
  },
  "required": [
    "itemIds",
    "itemUpdate",
    "cascade"
  ]
}